
/* ----------------- */
*, *::before, *::after{margin:0;padding:0; -webkit-box-sizing:border-box; box-sizing:border-box;}
body{scroll-behavior: smooth; overflow-x: hidden; }
li{list-style: none;}
html{scroll-behavior: smooth;}
a{text-decoration: none !important; color: unset;}
a,img,input,label,button{display: block;}
button{border:none; outline:none; background: transparent;}
input{border:none; outline:none;}

dl, ol, ul {
    margin-top: 0;
    margin-bottom: 0rem !important;
}

ol, ul {
    padding-left: 0rem !important;
}

:root {
    /* ---- web-color ------- */
    --color1:#f37335;
    --color2:#135e9e;
    --color3:linear-gradient(90deg,#fdc830,#f37335);
    --color4:#3e3e3e;
    --color5:#fff;
    --color6:#000;  
    --color7:#e3e3e3;
    --color8:#e2deff;

    /* ----- web-fontsize -------- */
    --fontStyle1: 4rem/110% "Poppins", sans-serif;
    --fontStyle2: 2.5rem/110% "Poppins", sans-serif;
    --fontStyle3: 2.3rem/120% "Poppins", sans-serif;
    --fontStyle4: 2rem / 120% "Poppins", sans-serif;
    --fontStyle5: 1.5rem / 130% "Poppins", sans-serif;
    --fontStyle6: 1.2rem / 120% "Poppins", sans-serif;
    --fontStyle7: 1rem / 120% "Poppins", sans-serif;
    --fontStyle8:0.95rem / 170% "Open Sans", sans-serif;
    --fontStyle9: 0.9rem / 150% "Open Sans", sans-serif;
    --fontStyle10: 0.8rem / 130% "Open Sans", sans-serif;
}

/* ----- web-fontsize ---------- */
.fontStyle1 {font: var(--fontStyle1);}
.fontStyle2 {font: var(--fontStyle2);}
.fontStyle3 {font: var(--fontStyle3);}
.fontStyle4 {font: var(--fontStyle4);}
.fontStyle5 {font: var(--fontStyle5);}
.fontStyle6 {font: var(--fontStyle6);}
.fontStyle7 {font: var(--fontStyle7);}
.fontStyle8 {font: var(--fontStyle8);}
.fontStyle9 {font: var(--fontStyle9);}
.fontStyle10 {font: var(--fontStyle10);}
@media (max-width:600px) {
  .fontStyle2 {font: var(--fontStyle4);}
  .fontStyle4 {font: var(--fontStyle5);}
}

/* ------- bg-color --------- */
.bg_col1{background: var(--color1);}
.bg_col2{background: var(--color2);}
.bg_col3{background: var(--color3);}
.bg_col4{background: var(--color4);}
.bg_col5{background: var(--color5);}
.bg_col6{background: var(--color6);}
.bg_col7{background: var(--color7);}
.bg_col8{background: var(--color8);}

/* ------- text-color --------- */
.color1{color: var(--color1);}
.color2{color: var(--color2);}
.color3{color: var(--color3);}
.color4{color: var(--color4);}
.color5{color: var(--color5);}
.color6{color: var(--color6);}
.color7{color: var(--color7);}
.color8{color: var(--color8);}

/* ========= button_commen_class ============ */
.primary_btn{display: inline-block; padding:0.6rem 2rem; border-radius: 3rem; transition: all 0.3s ease;
border: 2px solid var(--color2);}
.primary_btn:hover{background:transparent; color: var(--color2); border: 2px solid var(--color2);}

.primary_btn2{background: transparent; display: inline-block; border: 2px solid var(--color2); border-radius: 3rem; padding:0.6rem 2rem;
transition: all 0.3s ease; color: var(--color2);}
.primary_btn2:hover{background: var(--color2); color: var(--color5);}

/* ========= header section style ============ */
.header .top_header{border-bottom:1px solid var(--color7);}  
.header .top_header .socel{width:80%;}
.header .bottom_header .nav_style .nav_list .nav_item{padding:1.5rem 0; margin: 0 1.5rem; position: relative;}
.header .bottom_header .nav_style .nav_list .nav_item:nth-child(1){margin-left: 0;}
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2{position: absolute; 
top:100%; left:0; z-index:100;  background: var(--color5);  width: auto;min-width:200px;white-space: nowrap;
visibility: hidden; opacity:0; pointer-events: none; transition: all 0.3s ease;  transform: translateY(20px);}
.header .bottom_header .nav_style .nav_list .nav_item:hover .dropdown_2{visibility: visible; opacity:1; 
pointer-events: auto; transform: translateY(0px);}
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2 .nav_item:nth-child(1){margin:0;}
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2 .nav_item{ padding:0.8rem 1.5rem; margin: 0;
border-bottom:1px solid var(--color7); transition: all 0.2s ease-in; position: relative;}
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2 .nav_item .dropdown_3{position: absolute; 
left: 100%; background: var(--color5); top:0;  width: auto;min-width:200px;white-space: nowrap;
visibility: hidden; opacity:0; pointer-events: none; transition: all 0.3s ease;  transform: translateY(20px);}
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2 .nav_item:hover .dropdown_3{
visibility: visible; opacity:1; pointer-events: auto; transform: translateY(0px);}
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2 .nav_item:hover{background: var(--color7);} 
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2 .nav_item:last-child{border-bottom:none;}
@media (max-width:992px) {
.header .bottom_header{padding:1rem 0;} 
.header .bottom_header .nav_style{position: fixed; top:0; right:-100%; width:60%; height:100vh; 
z-index: 1000; background: var(--color3); overflow-y: auto; transition: all 0.3s ease;}
.header .bottom_header .nav_style.active_sidebar{right:0;}
.header .bottom_header .nav_style .nav_list{display: block !important;} 
.header .bottom_header .nav_style .nav_list .nav_item {padding:1rem 0;}
.header .bottom_header .nav_style .nav_list .nav_item:nth-child(1) {margin: 0 1.8rem;}
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2{visibility: visible; opacity:1; transform: translateY(0px); 
position: relative; width:100%; margin-top: 0rem; height: 0; overflow-y:hidden; transition: all 0.3s ease; }
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2.active_dropdown{height: auto; overflow-y: auto; margin-top:1rem; border-radius:1rem;}
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2 .nav_item .dropdown_3{visibility: visible; opacity:1; transform: translateY(0px); position: relative; 
left:0; width:100%; margin-top: 0rem; height: 0; overflow-y:hidden; transition: all 0.3s ease;}
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2 .nav_item .dropdown_3.active_dropdown2{height: auto; overflow-y: auto; margin-top:1rem; background: var(--color3); border-radius: 1rem;}
.header .bottom_header .nav_style .dropdown_arrow{float: right;}
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2 .nav_item{border-bottom: 0;}
.header .bottom_header .nav_style .nav_list .nav_item .dropdown_2 .nav_item:hover{background: var(--color5);}
}

@media (max-width:600px) {
.header .bottom_header .nav_style{width:100%;}
}

/* =========== slider section style ============ */
.slider .swiper-slide .slider_img img{width:100%; height:550px; object-fit: cover;}
.slider .swiper-pagination .swiper-pagination-bullet{height:10px; width:10px; transition: all 0.2s ease; border: 2px solid var(--color1);
background: transparent; opacity:1;}
.slider .swiper-pagination .swiper-pagination-bullet-active{width:30px; border-radius:3rem; background: var(--color1); border:0;}
@media (max-width:992px) {
.slider .swiper-slide .slider_img img{height:400px;}
}
@media (max-width:600px) {
.slider .swiper-slide .slider_img img{height:300px;}
}
/* =========== testimonial section style =========== */
.testimonial .swiper-slide{ padding:2rem; border-radius:1.5rem; } 
.testimonial .testimonial-box img{width:110px; height:110px; object-fit: cover; border-radius: 50%;
image-rendering: crisp-edges; border: 5px solid var(--color5);}
.testimonial .swiper-pagination{bottom:-13% !important;z-index: 10 !important;}
.testimonial .swiper-pagination .swiper-pagination-bullet{height:11px; width:11px; transition: all 0.2s ease; border: 2px solid var(--color2);
background: transparent; opacity:1;}
.testimonial .swiper-pagination .swiper-pagination-bullet-active{width:30px; border-radius:3rem; background: var(--color2); border:0;}

/* =========== features section style ============= */
.features .features_box{padding:1.5rem; border-radius:1.5rem; box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;}
.features .features_box:hover{background: var(--color1); cursor: pointer; transform: scale(1.04); transition: all 0.2s linear;}
.features .features_box:hover i{color: var(--color5);}
.features .features_box:hover :is(p,a){color: var(--color5);}
/* ========== background_d section style ============ */
.background_d .main_backg img{width:100%; height:450px;  object-fit:cover;}
@media (max-width:992px) {
.background_d .main_backg img{height:400px;}
.breadcrumb{height:350px !important;}
.breadcrumb .breadcrumb_div{margin-top: 6rem;}
}
@media (max-width:600px) {
.background_d .main_backg img{height:250px;}
.breadcrumb{height:300px !important; line-height: 300px;}
}
/* ========= gallery section style ========== */
.gallery .gallery_list{columns: 3; gap:1.5rem;}
.gallery .gallery_list .gallery_item{margin-bottom: 1.5rem;}
.gallery .gallery_list .gallery_item img{border-radius:0.7rem;}
@media (max-width:600px) {
.gallery .gallery_list{columns: 2; gap:1rem;}
.gallery .gallery_list .gallery_item{margin-bottom: 1rem;}
}
/* ========== footer section style =========== */
.footer .footer_list .soc_style li a{height:40px; width:40px; transition: all 0.2s ease;}
.footer .footer_list .soc_style li a:hover{background: var(--color2);}
.footer .footer_list .newletter form i{flex-direction: 1; width:40px; height:40px; border-radius:3rem;}
.copy-right{border-radius:0.5rem; }
@media (max-width:600px) { .copy-right{border-radius:0;}}

